Bug 426103 - Review Request: xorg-x11-drv-wiimote - Xorg input driver for the Wiimote
Review Request: xorg-x11-drv-wiimote - Xorg input driver for the Wiimote
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-18 11:11 EST by Adam Jackson
Modified: 2008-02-21 12:53 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-21 12:53:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Adam Jackson 2007-12-18 11:11:36 EST
Spec URL: http://ajax.fedoraproject.org/xorg-x11-drv-wiimote/xorg-x11-drv-wiimote.spec
SRPM URL: http://ajax.fedoraproject.org/xorg-x11-drv-wiimote/xorg-x11-drv-wiimote-0.0.1-1.fc9.src.rpm

Description:
Use your wiimote as a pointer!  How awesome is that?

Note, requires libwiimote to build.  See bug #426098 for that.
Comment 1 Jason Tibbitts 2008-01-11 00:15:44 EST
For some reason I couldn't convince mock to pull the fixed libwiimote package
from my local repo so I just took the lazy way out and waited until it hit rawhide.

Builds fine and rpmlint only says
 xorg-x11-drv-wiimote.src: W: mixed-use-of-spaces-and-tabs
  (spaces: line 3, tab: line 10)
which I don't particularly care about.

* source files match upstream:
   40237e4539af81ab9c18e967454bf72e797b30264541e79116220d120d7ed09a  
   xf86-input-wiimote-0.0.1.tar.bz2
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
* debuginfo package looks complete.
* rpmlint has acceptable complaints.
* final provides and requires are sane:
   wiimote_drv.so()(64bit)
   xorg-x11-drv-wiimote = 0.0.1-1.fc9
  =
   libcwiimote.so.0()(64bit)
   xorg-x11-server-Xorg

* %check is not present; I can't really test this, as I have the wiimote but not 
   the bluetooth.
* no shared libraries are added to the regular linker search paths.
* doesn't create or own any directories
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

APPROVED
Comment 2 Adam Jackson 2008-01-16 14:47:09 EST
New Package CVS Request
=======================
Package Name: xorg-x11-drv-wiimote
Short Description: Xorg input driver for the Wiimote
Owners: ajax
Branches: 
InitialCC: 
Cvsextras Commits: yes
Comment 3 Kevin Fenzi 2008-01-17 12:11:21 EST
cvs done.
Comment 4 Adam Jackson 2008-02-21 12:53:59 EST
Built in rawhide, thanks!

Note You need to log in before you can comment on or make changes to this bug.